<?PHP
session_start();

//// страница капчи
if(isset($_GET["rufus"]))
{
header("Content-type: image/png");
$number_echo = (isset($_SESSION["views_rfs_mail"]["img"]) AND $_SESSION["views_rfs_mail"]["time"]+10 > time()) ? $_SESSION["views_rfs_mail"]["img"] : "Fuck";
$img = imagecreate(38,18);
$background_color = imagecolorallocate($img, 200, 200, 200);
$text_color = imagecolorallocate($img, 0, 0, 0);
imagestring($img, 14, 11, 2,  $number_echo, $text_color);
imagejpeg($img);
imagedestroy($img);
exit();
}
/// конец страницы капчи

$selection = (isset($_GET["selection"])) ? (string) $_GET["selection"] : FALSE;
//////////////////////////////////////////// ПРОСМОТР САЙТА РЕКЛАМОДАТЕЛЯ /////////////////////////////////////////////


if($selection == "view_id"):

	if(isset($_GET["hashcheck"]))
	{
	
		if(isset($_GET["mail"]) AND isset($_SESSION["username"]))
		{
		$mail_id_v = (round(intval($_GET["mail"]),0) > 0) ? round(intval($_GET["mail"]),0) : FALSE;
		
		/// Лезем в базу за письмом
		require("config.php");
		$view_mail_db = mysql_query("SELECT * FROM mails WHERE id = '$mail_id_v' AND plan > 0"); 
		
		
			if(mysql_num_rows($view_mail_db) == 1)
			{
			
			$view_mail = mysql_fetch_array($view_mail_db);
			
			$md5_hash = md5(strtolower($mail_id_v.$view_mail["date_add"].$view_mail["plan"].$view_mail["url"].$view_mail["color"].date("d-m-Y")));
			
			//// Функция проверки строки хеша
				function md5_hash($string)
				{
				
					if (ereg("^[a-zA-Z0-9]", $string))
					{
					return $string;
					}else{
					return FALSE;
					}
				
				}
				
				//// Проверяем сходство
						if(md5_hash($_GET["hashcheck"]) == $md5_hash)
						{
						
//////////////////////////// Страница старта таймера						
						
							if(isset($_GET["step"]) AND intval($_GET["step"]) == 1)
							{

							$_SESSION["views_rfs_mail"]["hashcheck"] = $md5_hash;
							$_SESSION["views_rfs_mail"]["time"] = time()+$view_mail["timer"];
							$_SESSION["views_rfs_mail"]["img"] = rand(20,99);
							?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta http-equiv="pragma" content="no-cache">
</head>
<body topmargin="0">
<script type="text/javascript">
<!--
stik = '|';
countdwn=<?=$view_mail["timer"]?>;
setTimeout("countdown()", 1000);
	function countdown()
	{
	countdwn--;
	stik = stik+'|';

			if(stik == '|||||||||||||||||||||||||'){stik = '|';}

		if(countdwn>=0){
		document.getElementById("rufus_timer").innerHTML=countdwn;
		document.getElementById("stik").innerHTML=stik;
		timer=setTimeout("countdown()",1000);
		}
	}
-->
</script>

<table width="500" border="0" cellspacing="0" cellpadding="0" style="padding-left:20px;">
  <tr>
    <td>Подождите <span id="rufus_timer"> - </span> сек.</td>
    <td>За просмотр: <?=$view_mail["to_user"]?> WM<?=$siteval ?></td>
  </tr>
  <tr>
    <td><span id="stik"> | </span></td>
    <td>&nbsp;</td>
  </tr>
</table>


</body></html>


                            <?PHP
							exit();
							}
//////////////////////////// Страница Подтверждения	
							if(isset($_GET["step"]) AND intval($_GET["step"]) == 2)
							{
							
								if(isset($_SESSION["views_rfs_mail"]["hashcheck"]) AND $_SESSION["views_rfs_mail"]["hashcheck"] == $md5_hash)
								{
								
									if($_SESSION["views_rfs_mail"]["time"] <= time())
									{
									
									/// Удаляем старые записи и смотрим не просматривал ли пользователь ссылку за последние 24 часа
									require("config.php");
									mysql_query("DELETE FROM mails_views WHERE date_view <= '".time()."'"); 
									$sear_view = mysql_query("SELECT * FROM mails_views WHERE id_site = '$mail_id_v' AND user = '".$_SESSION["username"]."'");
										 
									
										if(mysql_num_rows($sear_view) == 0)
										{
										
											if(isset($_POST["rufus"]))
											{	
											
if($_SESSION["views_rfs_mail"]["img"] == $_POST["rufus"])

{
											
											require("config.php");
											$url_insert = $view_mail["url"];
											$time_views_i = time()+86400;
											$insert_views = mysql_query("INSERT INTO mails_views (user,date_view,url,id_site) 
											VALUES ('".$_SESSION["username"]."','$time_views_i','$url_insert','$mail_id_v')");
											$update_links = mysql_query("UPDATE mails SET views = views + 1 WHERE id = '$mail_id_v'");
											  
											
												if($insert_views and $update_links)
												{
												
												$set_mu = $view_mail["to_user"];
												require("config.php");
												$update_user = mysql_query("UPDATE b_users SET money = money + $set_mu, views_mails = views_mails + 1,
												money_mails = money_mails + $set_mu WHERE username = '".$_SESSION["username"]."'");
												 
													
													if($update_user)
													{
													echo "<center><font color = 'green'><b>Средства за просмотр успешно зачислены на счёт</b></font></center>";
													}else{
													echo "<center><font color = 'red'><b>SQL ошибка, не удалось обновить данные1</b></font></center><BR />";
													}
												
												}else{
												echo "<center><font color = 'red'><b>SQL ошибка, не удалось обновить данные2</b></font></center><BR />";
												}
												
}else{
  echo "<center><font color = 'red'><b>Вы ошиблись при подтверждении!</b></font></center><BR />";
  }

											
											unset($_SESSION["views_rfs_mail"]); /// Уничтожаем сессию письма
											exit();
											}
										
										?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<meta http-equiv="pragma" content="no-cache">
</head>
<body topmargin="0">     
<style>
.input1{border: #007dd5 1px solid; background-color:#ffffff;}
</style>                                   
<table width="350" border="0" cellspacing="0" cellpadding="0" style="padding-left:20px; padding-top:3px;">
  <tr>
  	<td>Выберите число:</td>
  	<td><img src="mails.php?rufus=true" align="left">&nbsp;-&nbsp;</td>
    <?PHP
	/// создаём кнопки
	$button_c = 4; /// колличество кнопок
	$button_s = rand(1,$button_c); /// На какой позиции будет стоять правильная кнопка
		
	for($i = 1; $i <= $button_c; $i++)
	{
	$char = ($i == $button_s) ? $_SESSION["views_rfs_mail"]["img"] : rand(20,99);
	?><td><form action="" method="post"><input type="submit" name="rufus" value="<?=$char?>" class="input1"></form></td><?PHP
	}
	?>
    
  </tr>
</table>
</body></html>                                        
										<?PHP
                                        }else{
										echo "<center><font color = 'red'>Вы уже просматривали данное письмо за последние 24 часа!</font></center><BR />";
										}
									
									}else{
									echo "<center><font color = 'red'>Нарушены правила просмотра!</font></center>";
									}
								
								}else{
								echo "<center><font color = 'red'>Разработчик RUFUS. Версия скрипта 0.1</font></center><BR />";
								unset($_SESSION);
								exit();
								}
							
							exit();
							}
						
//////////////// Страница просмотра //////////
						?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head><title><?=$view_mail["description"];?></title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">
<script type="text/javascript">
<!--
var sURL='mails.php?<?=$_SERVER['QUERY_STRING']."&step=2"?>';
setTimeout("refresh()",<?=$view_mail["timer"];?>*1000);
function refresh(){window.head.location.href=sURL;}
//-->
</script>

<script type="text/javascript" language="JavaScript1.1">
<!--
function refresh(){window.head.location.replace(sURL);}
//-->
</script>
</head>
<frameset rows="42,1*">
<frame marginwidth="0" marginheight="0" name="head" scrolling="no" noresize src="mails.php?
<?=$_SERVER['QUERY_STRING']."&step=1"?>" style="border-bottom: #191970 2px dashed">
<frame marginwidth="0" marginheight="0" name="main" frameBorder="0" style="mso-linked-frame:auto" src="<?=$view_mail["url"];?>">
</frameset>
<noframes><body><p>Ваш браузер не поддерживает фреймы</p></body></noframes>
</html>
                        <?PHP
						
						}else{
						echo "<BR /><center><font color = 'red'>
						MD5 хеш не соответствует хешу ссылки, возможно ваш хеш устарел. Вернитесь и перейдите по ссылке ещё раз.
						</font></center><BR />";
						}
			
			}else{
			echo "<BR /><center><font color = 'red'>Письма с таким ID не существует</font></center><BR />";
			}
			
		}else{
		echo "<BR /><center><font color = 'red'>Не обнаружен ID письма</font></center><BR />";
		}
	
	}else{
	echo "<BR /><center><font color = 'red'>Не обнаружен MD5 хеш</font></center><BR />";
	}

exit();
endif;
//////////////////////////////////////////// КОНЕЦ ПРОСМОТРА САЙТА /////////////////////////////////////////////

include("header.php");

//////////////////////////////////////////// ЗАКАЗ ПИСЕМ /////////////////////////////////////////////
if($selection == "advertise"):

	if(isset($_POST["url"])):
	
	/////////// Функции
	function url_chek($url)
	{
	$url = strtolower($url);
		if(strpos("1".$url,"http://") == 1 OR strpos("1".$url,"http://") == 1)
		{
		$url = str_replace('"','&#34;',$url);
		$url = str_replace(">","&#62;",$url);
		$url = str_replace("<","&#60;",$url);
		return (strlen($url) > 11) ? $url : FALSE;
		}else{
		return FALSE;
		}
	}
	
	function text_chek($text)
	{
		if(strlen($text) > 10 AND strlen($text) < 4096)
		{
		$url = str_replace('"','&#34;',$url);
		$url = str_replace(">","&#62;",$url);
		$url = str_replace("<","&#60;",$url);
		return $text;
		}else{
		return FALSE;
		}
	}
	
	/////////// Конец функций
	
	/// Пропускаем переменные через функции
	
	$url_m = url_chek($_POST["url"]);
	$subject_mail = (strlen($_POST["subject_mail"]) > 100) ? FALSE : text_chek($_POST["subject_mail"]);
	$text_mail = text_chek($_POST["text_mail"]);
	$oplata_advertise = (intval($_POST["oplata_advertise"]) > 2 or intval($_POST["oplata_advertise"]) < 1) ? FALSE : intval($_POST["oplata_advertise"]);
	$timer = intval($_POST["timer"]);
	$color_subject = ($_POST["color_subject"] == "NO") ? "NO" : intval($_POST["color_subject"]) ;
	$amout_mails = (intval($_POST["amout_mails"]) >= 50) ? intval($_POST["amout_mails"]) : FALSE ;	
		if($url_m)
		{
		
			if($subject_mail)
			{
			
				if($text_mail)
				{
				
					if($timer)
					{
					
						if($color_subject)
						{
						
							if($amout_mails)
							{
							
								if($oplata_advertise)
								{
								
								require("config.php");
								$timer_config_db = mysql_query("SELECT * FROM mails_timer WHERE id = $timer");
								 
								
									if(mysql_num_rows($timer_config_db) == 1)
									{
									$timer_config = mysql_fetch_array($timer_config_db);
									
									
										if($color_subject != "NO")
										{
										require("config.php");
										$tpc_db = mysql_query("SELECT code,amout FROM mails_color WHERE id = $color_subject");
										 
										if(mysql_num_rows($tpc_db) == 1){ $tpc_r = TRUE; $tpc_db = mysql_fetch_array($tpc_db);}else{ $tpc_r = FALSE; }
										
										$tpc = ($tpc_r) ? $tpc_db["amout"] : 0;
										$cib = ($tpc_r) ? $tpc_db["code"] : "FALSE"; 
										
										
										}else $tpc = 0;
									
										$to_pay_advertise = ($amout_mails * $timer_config["amout"]) + $tpc;  /// Сумма к оплате
										$timer_sec = $timer_config["timer"]; /// таймер в секундах
										$tid = time()+rand(1,7); /// Прибавляем рендом случайное число, человека пара секунд ничего не стоит.
										$to_user_cl = $timer_config["pay_to_user"]; /// Оплата пользователю за клик
										
											if(isset($_SESSION["username"]) AND $oplata_advertise == 2)
											{
											$method_advertise = FALSE;
											require("config.php");
											$user_money_db = mysql_query("SELECT money FROM b_users WHERE username = '".$_SESSION["username"]."'");
											 
											$user_money = mysql_result($user_money_db,0,0);
											
												if($user_money >= $to_pay_advertise)
												{
												
												//// Снимаем деньги у пользователя
												require("config.php");
												$ruum = mysql_query("UPDATE b_users SET money=money-$to_pay_advertise WHERE username='".$_SESSION["username"]."'");
												
												//// Если всё ОК, то заносим рекламу
													if($ruum)
													{
													$unfst = $_SESSION["username"];
$iatv = mysql_query("INSERT INTO mails (url,description,mail_text,plan,timer,date_add,user,color,status,to_user,amout) 
VALUES ('$url_m','$subject_mail','$text_mail','$amout_mails','$timer_sec','$tid','$unfst','$cib','pay','$to_user_cl','$to_pay_advertise')");
												 		
														if($iatv)
														{
														echo "<BR /><center><font color = 'green'>Ваша реклама успешно добавлена</font></center><BR />";
														}else{
														echo "<BR /><center><font color = 'red'>Конвертировать не удалось, попробуйте позже</font></center><BR />";
														}
													
													}else{ 
													echo "<BR /><center><font color = 'red'>Конвертировать не удалось, попробуйте позже</font></center><BR />";
													}
													
												
												
												}else{
												echo "<BR /><center><font color = 'red'>Недостаточно средст на счету!
												Выбирите другой способ оплаты.</font></center><BR />"; 
												}
												
											}else $method_advertise = TRUE;
											
											
											//// Если оплата не с внутреннего счёта, то выводим мерчант
															if($method_advertise)
															{
require("config.php");
$iatv = mysql_query("INSERT INTO mails (url,description,mail_text,plan,timer,date_add,color,status,to_user,amout) 
VALUES ('$url_m','$subject_mail','$text_mail','$amout_mails','$timer_sec','$tid','$cib','wait','$to_user_cl','$to_pay_advertise')");
											 				
																if($iatv)
																{
																require("config.php");
																$res=mysql_query("select purse, valutaname from tb_site where id='1'");
																$pv=mysql_fetch_array($res);
																$purse=$pv["purse"];
																
																?>
<BR /><?if($merchant==0)
	{
?>
<center>
$infstart Ваз заказ успешно принят и будет добавлен в показ после оплаты в течение 24 часов $infend
 <BR />    
<center>[<a href="wmk:payto?Purse=<?=$purse ?>&Amount=<?=round($to_pay_advertise,2)?>&Desc=Оплата письма № <?=$tid ?>&BringToFront=Y">Оплатить через WebMoney</a>]</center>
 <? }
	if($merchant==1)
	{
?><center>
$infstart Ваз заказ успешно принят и будет автоматически добавлен в показ после оплаты $infend
<BR /> <BR />    
<form method="POST" action="https://merchant.webmoney.ru/lmi/payment.asp">
<input type="hidden" name="LMI_PAYMENT_AMOUNT" value="<?=round($to_pay_advertise,2)?>">
<input type="hidden" name="LMI_PAYMENT_DESC" value="Оплата рекламы, <?=$subject_mail?>, <?=$amout_mails?> писем.">
<input type="hidden" name="LMI_PAYEE_PURSE" value="<?=$purse?>">
<input type="hidden" name="service" value="adv_mails">
<input type="hidden" name="id" value="<?=$tid?>">
<input type="submit" value="Оплатить">
</form>
</center> <?
	}?>                                                         
                                                                <?PHP
																include("footer.php");
																exit();
																}else{
																echo "<BR /><center><font color = 'red'>Заказать не удалось, попробуйте позже</font></center><BR />";
																}
														
															}
											
									
									}else{
									echo "<BR /><center><font color = 'red'>Хм... Чё-то ты мудришь дядя... Не занимайся хуйнёй!</font></center><BR />";
									}		
								
								
								}else{
								echo "<BR /><center><font color = 'red'>Хм... Чё-то ты мудришь дядя... Не занимайся хуйнёй!</font></center><BR />";
								}
							
							}else{
							echo "<BR /><center><font color = 'red'>Поле \"Кол-во писем\" заполнено неверно. Минимум 50 писем.</font></center><BR />";
							}
						
						}else{
						echo "<BR /><center><font color = 'red'>Хм... Чё-то ты мудришь дядя... Не занимайся хуйнёй!</font></center><BR />";
						}
					
					}else{
					echo "<BR /><center><font color = 'red'>Хм... Чё-то ты мудришь дядя... Не занимайся хуйнёй!</font></center><BR />";
					}
				
				}else{
				echo "<BR /><center><font color = 'red'>Поле \"Текст письма\" заполнено неверно. Минимум 10 символов, максимум 4096</font></center><BR />";
				}
			
			}else{
			echo "<BR /><center><font color = 'red'>Поле \"Описание\" заполнено неверно. Минимум 10 символов, максимум 100</font></center><BR />";
			}
		
		}else{
		echo "<BR /><center><font color = 'red'>Поле \"URL сайта\" заполнено неверно</font></center><BR />";
		}
		
		
	endif;

?>

<script language=javascript>
function CenaZakaza(frm)
{
timer_id = frm.timer.value;
amout_mails = frm.amout_mails.value;
color_id = frm.color_subject.value;
<?PHP
	///// Перебор таймера для джава скрипта
	require("config.php");
	$timer_list_db_for_script = mysql_query("SELECT * FROM mails_timer ORDER BY timer");
	 
		
		if(mysql_num_rows($timer_list_db_for_script) > 0)
		{
		$timer_for_script = mysql_fetch_array($timer_list_db_for_script);
			do{
			?>
    		if(timer_id == '<?=$timer_for_script["id"]?>'){timer_amout = <?=$timer_for_script["amout"]?>; }
    		<?PHP
			}while($timer_for_script = mysql_fetch_array($timer_list_db_for_script));
		}else{
		echo "timer_amout = \"0\";";
		}

	///// Перебор стоимости цветового выделения для джава скрипта
	require("config.php");
	$color_list_db_for_script = mysql_query("SELECT * FROM mails_color ORDER BY id");
	 
		
		if(mysql_num_rows($color_list_db_for_script) > 0)
		{
		$color_list_for_script = mysql_fetch_array($color_list_db_for_script);
		echo "if(color_id == 'NO'){color_amout = '0'; }";
			do{
			?>
    		if(color_id == '<?=$color_list_for_script["id"]?>'){color_amout = <?=$color_list_for_script["amout"]?>; }
    		<?PHP
			}while($color_list_for_script = mysql_fetch_array($color_list_db_for_script));
		}else{
		echo "color_amout = \"0\";";
		}
?>
amout_mails = Number(amout_mails);
frm.summa.value=color_amout+amout_mails*timer_amout;
frm.summa.value*=100;
frm.summa.value = Math.round(frm.summa.value);
frm.summa.value /= 100;

}
</script>
<BR />
<form action="" method="post">
<table width="450" class="table_mails" align="center" border="0" cellspacing="0" cellpadding="0" onMouseOver="CenaZakaza()">
  <tr bgcolor="#CCCCCC">
    <td align="center" colspan="2" class="td_advertise_mails"><b>Заказ рекламных писем</b></td>
  </tr>
  <tr>
    <td class="td_advertise_mails" style="padding-left:5px;" width="200"><b>URL сайта :</b></td>
    <td class="td_advertise_mails" align="center" width="250"><input type="text" class="input2" name="url" size="30" value="http://" /></td>
  </tr>
  <tr>
    <td class="td_advertise_mails" style="padding-left:5px;" width="200"><b>Описание (тема письма):</b></td>
    <td class="td_advertise_mails" align="center" width="250"><input type="text" class="input2" name="subject_mail" size="30" value=""  /></td>
  </tr>
  <tr>
    <td class="td_advertise_mails" align="center" colspan="2"><b>Текст письма (не более 4096 символов):</b></td>
  </tr>
  <tr>
    <td class="td_advertise_mails" align="center" colspan="2">
    <textarea name="text_mail" cols="70" rows="10" class="input2"></textarea>
    </td>
  </tr>
  <tr>
    <td class="td_advertise_mails" style="padding-left:5px;" width="200"><b>Способ оплаты:</b></td>
    <td class="td_advertise_mails" align="center" width="250">
    <select name="oplata_advertise" class="input2">
    <option value="1">За WebMoney</option>
    <?=(isset($_SESSION["username"])) ? "<option value=\"2\">Внутренний счёт(автоматически)</option>" : FALSE ; ?>
    </select>
    </td>
  </tr>
   <tr>
    <td class="td_advertise_mails" style="padding-left:5px;" width="200"><b>Кол-во писем (минимум 50):</b></td>
    <td class="td_advertise_mails" align="center" width="250">
    <input type="text" class="input2" name="amout_mails" size="10" value="50" onChange="CenaZakaza(this.form)" /></td>
  </tr>
  <tr>
    <td class="td_advertise_mails" style="padding-left:5px;" width="200"><b>Таймер просмотра сайта:</b></td>
    <td class="td_advertise_mails" align="center" width="250">
    <?PHP
	///// Таймер просмотра письма
	require("config.php");
	$timer_list_db = mysql_query("SELECT * FROM mails_timer ORDER BY timer"); 
	
		
		if(mysql_num_rows($timer_list_db) > 0)
		{
		$timer_list = mysql_fetch_array($timer_list_db);
		echo "<select name=\"timer\" class=\"input2\" onChange=\"CenaZakaza(this.form)\">";
			do{
			?>
    		<option value="<?=$timer_list["id"]?>"><?=$timer_list["timer"]?> сек. - <?=$timer_list["amout"]?> <?=$siteval ?></option>
    		<?PHP
			}while($timer_list = mysql_fetch_array($timer_list_db));
		echo "</select>";
		}else{
		echo "Таймеров нет!";
		}
	?>
    </td>
  </tr>
  <tr>
    <td class="td_advertise_mails" style="padding-left:5px;" width="200"><b>Выделение темы цветом:</b></td>
    <td class="td_advertise_mails" align="center" width="250">
    <?PHP
	///// Выделение цветом
	require("config.php");
	$color_list_db = mysql_query("SELECT * FROM mails_color ORDER BY id");
	
		 
		if(mysql_num_rows($color_list_db) > 0)
		{
		$color_list = mysql_fetch_array($color_list_db);
		echo "<select name=\"color_subject\" class=\"input1\" onChange=\"CenaZakaza(this.form)\"><option value=\"NO\">НЕТ</option>";
			do{
			?>
    	<option style="background: #<?=$color_list["code"]?>;" value="<?=$color_list["id"]?>"><?=$color_list["name_color"]?> - <?=$color_list["amout"]?> <?=$siteval ?></option>
    		<?PHP
			}while($color_list = mysql_fetch_array($color_list_db));
		echo "</select>";
		}else{
		echo "</select>";
		}
	?>
    </td>
  </tr>
 <tr>
    <td class="td_advertise_mails" style="padding-left:5px;" width="200"><b>Стоимость заказа (<?=$siteval ?>):</b></td>
    <td class="td_advertise_mails" align="center" width="250">
    <input type='text' size='10' readonly='readonly' name='summa' autocomplete="off" value=""/></td>
  </tr>
  <tr>
    <td class="td_advertise_mails" align="center" colspan="2">
    <input type="submit" class="submit2" value="Оформить заказ"  />
    </td>
  </tr>
</table>
</form>
<BR />

<?PHP
include("footer.php");
exit();
endif;
//////////////////////////////////////////// КОНЕЦ ЗАКАЗА /////////////////////////////////////////////

if(!isset($_SESSION["username"]))
{
	?>
	<script type="text/javascript">
	location.replace("login.html");
	</script>
	<noscript>
	<meta http-equiv="refresh" content="0; url=login.html">
	</noscript>
	<?
	exit();
}
//////////////////////////////////////////// ЧТЕНИЕ ПИСЕМ /////////////////////////////////////////////
if($selection == "read_mail"):

	if(isset($_GET["id"]))
	{
	$mail_id = (round(intval($_GET["id"]),0) > 0) ? round(intval($_GET["id"]),0) : FALSE;
	
		if($mail_id)
		{
		
		/// Лезем в базу за письмом
		require("config.php");
		$read_mail_db = mysql_query("SELECT * FROM mails WHERE id = '$mail_id'"); 
		
		
			if(mysql_num_rows($read_mail_db) == 1)
			{
			
			$read_mail = mysql_fetch_array($read_mail_db);
			
            $md5_hash = md5(strtolower($mail_id.$read_mail["date_add"].$read_mail["plan"].$read_mail["url"].$read_mail["color"].date("d-m-Y")));
			?>
    <BR />     
<table width="600" align="center" class="table_mails" border="0" cellspacing="0" cellpadding="0">
  <tr bgcolor="<?=$read_mail["color"]?>">
    <td colspan="2" align="center" class="td_mails"><b>
	<?=(strlen($read_mail["description"]) > 70) ? substr($read_mail["description"],0,70)." ..." : $read_mail["description"];?></b></td>
  </tr>
  <tr>
    <td colspan="2" class="td_mails" style="padding-left:8px; padding-right:7px; padding-top:5px; padding-bottom:10px;">
    <?=str_replace("\n","<BR />",$read_mail["mail_text"]);?>
    </td>
  </tr>
  <tr>
<td colspan="2" class="td_mails" align="center"><a href="mails.php?selection=view_id&mail=<?=$mail_id;?>&hashcheck=<?=$md5_hash;?>">Засчитать прочтение письма</a></td>
  </tr>
  <tr>
    <td colspan="2" class="td_mails" align="center">
    Таймер просмотра: <?=$read_mail["timer"]?> сек. || Оплата за просмотр <?=$read_mail["to_user"]?> <?=$siteval ?> || Осталось: <?=$read_mail["plan"]-$read_mail["views"]?> писем
    </td>
  </tr>
</table>
<BR />
           <center><a href="mails.php">Назад к списку писем</a></center>
<BR /> 
			<?PHP
			}else{
			echo "$infstart Письма с таким ID несуществует. Возможно оно было удалено или закончился план рекламодателя $infend";
			}
		
		}else{
		echo "<BR /><center><font color = 'red'>Неверный идентификатор письма</font></center><BR />";
		}
	
	}else{
	echo "<BR /><center><font color = 'red'>Не указан идентификатор письма</font></center><BR />";
	}

include("footer.php");
exit();
endif;
//////////////////////////////////////////// КОНЕЦ ЧТЕНИЯ ПИСЕМ /////////////////////////////////////////////

//////////////////////////////////////////// СПИСОК ПИСЕМ /////////////////////////////////////////////

// считываем текущее время
$start_time_r = microtime();
// разделяем секунды и миллисекунды
//(становятся значениями начальных ключей массива-списка)
$start_array_r = explode(" ",$start_time_r);
// это и есть стартовое время
$start_time_r = $start_array_r[1] + $start_array_r[0];

//// Вытягиваем из базы все письма
require("config.php");
$mails_db = mysql_query("SELECT id, description, plan, timer, views, color, to_user FROM mails WHERE plan > views AND status = 'pay' ORDER BY id DESC");
 
	echo "<fieldset><legend>.::Рекламные письма::.</legend>";
	/// проверяем есть ли хоть одно письмо
	if(mysql_num_rows($mails_db) > 0)
	{
	
	/// вытягиваем с базы все просмотры этого пользователя
	require("config.php");
	$mails_views_db = mysql_query("SELECT * FROM mails_views WHERE user = '".$_SESSION["username"]."' AND date_view > '".time()."' ORDER BY id DESC");
		
		 
		/// перебираем массив с письмами и заполняем новый 
		$mails = mysql_fetch_array($mails_db);
		do{
		$array_mails[$mails["id"]]["id"] = $mails["id"];
		$array_mails[$mails["id"]]["description"] = $mails["description"];
		$array_mails[$mails["id"]]["plan"] = $mails["plan"];
		$array_mails[$mails["id"]]["timer"] = $mails["timer"];
		$array_mails[$mails["id"]]["views"] = $mails["views"];
		$array_mails[$mails["id"]]["color"] = $mails["color"];
		$array_mails[$mails["id"]]["to_user"] = $mails["to_user"];
		$array_mails[$mails["id"]]["amout"] = $mails["amout"];
		}while($mails = mysql_fetch_array($mails_db));
		
			/// Проверяем, делал ли пользователь просмотры за последние 24 часа
			if(mysql_num_rows($mails_views_db) > 0)
			{
			
			/// Перебираем массив с просмотрами и заполняем новый
			$mails_views = mysql_fetch_array($mails_views_db);
			do{
			$array_views[] = $mails_views["id_site"];
			}while($mails_views = mysql_fetch_array($mails_views_db));
			
			}else{
			/// Если пользователь не делал просмотров за 24 часа то массив просмотров делаем равным FALSE
			$array_views = FALSE;
			}
		
				if($array_views)
				{
				
				/// Удаляем из массива писем просмотренные письма
				
					for($co = 0; $co < count($array_views); $co ++)
					{
					unset($array_mails[$array_views[$co]]);
					}
					
				}
			sort($array_mails);
			/// Таблица сообщений
			
			include("mails_list.php");
			
// делаем то же, что и в start.php, только используем другие переменные
$end_time_r = microtime();
$end_array_r = explode(" ",$end_time_r);
$end_time_r = $end_array_r[1] + $end_array_r[0];
// вычитаем из конечного времени начальное
$time_r = $end_time_r - $start_time_r;
// выводим в выходной поток (браузер) время генерации страницы
echo "&nbsp;&nbsp;Ссылки сгенерированы за ".round($time_r,4)." сек.";
		
	}else{
	echo "$infstart  Нет писем для просмотра $infend";
	}
?>
<BR />
<center><a href="addpaymails.html">Заказать рекламные письма</a></center></fieldset>
<BR />
<?PHP
//////////////////////////////////////////// Конец списка писем /////////////////////////////////////////////
include("footer.php");
?>